Subject: 16/15 Character Netbios Names

From: Robin Layland <[email-masked]>
Date: Wed, 8 Jun 94 11:05 EST

Connect RIGlet,

Paul Brittain of Data Connection raised the issue of 15/16 characher Netbios 
names. My experience with using 16 character Netbios names would means that 
the name tables would get very large. Every session from a Netbios 
workstation uses a different value in the 16th byte. A station with four 
session would have four different netbios names. Either the entry would have 
to be quickly aged out of the table, reducing the benefit of having the 
table, or the table would have to be very large. In every case all the 
different 16 character names are from the same workstation. 

I too don't know how the 16 bytes is being used except possibility for 
kepting track of different session (it always seems to be an odd number).

If we give the option of using 15 or 16 bytes names then what to we tell 
end-users they should use. I feel we need to resolve this issue instead of 
pasting it over the wall to the end-user. We may need to pass the 16 bytes 
names as used for each curcuit but we may not need to keep a separate entry 
for each 16 byte name.

It would be nice if we could understand what the applicaiton people are 
using this 16 bytes for and if it is significant. I have never come across 
an explaination.

Robin Layland